var map = L.map('map').setView([20.5937, 78.9629], 5);

L.tileLayer('https://api.mapbox.com/styles/v1/{id}/tiles/{z}/{x}/{y}?access_token={accessToken}', {
  attribution: '&copy; <a href="https://www.mapbox.com/attributions/">Mapbox</a>',
  maxZoom: 20,
  id: 'mapbox/streets-v11',
  accessToken: 'pk.eyJ1Ijoic3JpeWEtMTU0MyIsImEiOiJjbGhqN2xndjYwZjgwM25xcDk2MmN6d2VlIn0.g7O5PGGfPljgpC9g-oCS5w'
}).addTo(map);

// Initialize the Leaflet.draw plugin
var drawnItems = new L.FeatureGroup();
map.addLayer(drawnItems);
var drawControl = new L.Control.Draw({
  draw: {
    polygon: true,
    polyline: false,
    rectangle: false,
    circle: false,
    marker: false
  },
  edit: {
    featureGroup: drawnItems
  }
});
map.addControl(drawControl);

// Event listener for when a polygon is created
map.on('draw:created', function (e) {
  var layer = e.layer;
  drawnItems.addLayer(layer);
});

